compact1, compact2, compact3
java.security

## Interface KeyStore.Entry

- All Known Implementing Classes:
    KeyStore.PrivateKeyEntry, KeyStore.SecretKeyEntry, KeyStore.TrustedCertificateEntry
  Enclosing class:
    KeyStore

      public static interface KeyStore.Entry

  A marker interface for `KeyStore` entry types.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `KeyStore.Entry.Attribute` An attribute associated with a keystore entry.

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Set<KeyStore.Entry.Attribute>` | `getAttributes()` Retrieves the attributes associated with an entry.

- - ### Method Detail

    - #### getAttributes

          default Set<KeyStore.Entry.Attribute> getAttributes()

      Retrieves the attributes associated with an entry.

      The default implementation returns an empty `Set`.

      Returns:
        an unmodifiable `Set` of attributes, possibly empty
      Since:
        1.8

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.